Package com.rosivanyshyn.db.dao.implMySQL

# Class BookingDAOImpl

java.lang.Object
com.rosivanyshyn.db.dao.implMySQL.GenericDAOImpl<Booking>
com.rosivanyshyn.db.dao.implMySQL.BookingDAOImpl

All Implemented Interfaces:
  `BookingDAO`, `GenericDAO<Booking>`

public class BookingDAOImpl extends GenericDAOImpl<Booking> implements BookingDAO
Booking DAO interface implementation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.rosivanyshyn.db.dao.implMySQL.GenericDAOImpl

  `GenericDAOImpl.DBStatementOperations<T>, GenericDAOImpl.ExtractEntity<T>, GenericDAOImpl.SetGeneratedValuesToEntity<T>`

- ## Field Summary

  ### Fields inherited from class com.rosivanyshyn.db.dao.implMySQL.GenericDAOImpl

  `className, LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BookingDAOImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `createEventIsBillPaid(Connection con, Long id)`
  Create DB event:
  After the specified period of time,
  If bill for booking isn`t paid -> delete booking

  ### Methods inherited from class com.rosivanyshyn.db.dao.implMySQL.GenericDAOImpl

  `countRowsInLastQuery, delete, get, getAll, getByField, getFew, getWithDynamicQuery, insert, update`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.rosivanyshyn.db.dao.GenericDAO

  `countRowsInLastQuery, delete, get, getAll, getByField, getFew, getWithDynamicQuery, insert, update`

- ## Constructor Details

  - ### BookingDAOImpl

    public BookingDAOImpl()

- ## Method Details

  - ### createEventIsBillPaid

    public Boolean createEventIsBillPaid(Connection con, Long id)
    Description copied from interface: `BookingDAO`
    Create DB event:
    After the specified period of time,
    If bill for booking isn`t paid -> delete booking
    Specified by:
      `createEventIsBillPaid` in interface `BookingDAO`
    Parameters:
      `con` - connection to database
      `id` - id of the booking being checked
    Returns:
      Boolean operation result